if RequiredScript == "lib/tweak_data/weaponfactorytweakdata" then

	local old_wftd_init = WeaponFactoryTweakData.init
	function WeaponFactoryTweakData:init()
		old_wftd_init(self)
		self:fix_dmr()
	end
function WeaponFactoryTweakData:fix_dmr()
-- GEWEHR 3
		self.parts.wpn_fps_ammo_type.custom_stats = {
			ammo_pickup_min_mul = 0.77, 
			ammo_pickup_max_mul = 0.77
			}
-- AK 7.62
    	self.parts.wpn_fps_upg_ass_ak_b_zastava.custom_stats = {
			ammo_pickup_min_mul = 0.77, 
			ammo_pickup_max_mul = 0.77
    		}
-- CAR-4
        self.parts.wpn_fps_upg_ass_m4_b_beowulf.custom_stats = {
			ammo_pickup_min_mul = 0.21, 
			ammo_pickup_max_mul = 0.30
			}
-- AMR-16		
		self.wpn_fps_ass_m16.override.wpn_fps_upg_ass_m4_b_beowulf.custom_stats = {
			ammo_pickup_min_mul = 0.8, 
			ammo_pickup_max_mul = 0.8
    		}
-- AK 
    	self.wpn_fps_ass_74.override.wpn_fps_upg_ass_ak_b_zastava.custom_stats = {
    		ammo_pickup_min_mul = 0.21, 
			ammo_pickup_max_mul = 0.30
			}
	end
end

local old_init = WeaponTweakData.init

function WeaponTweakData:init(tweak_data)
    old_init(self, tweak_data)
	
self.new_m14.AMMO_PICKUP = {0.7, 2.45}
self.contraband.AMMO_PICKUP = {0.4, 1.4}
self.ching.AMMO_PICKUP = {0.72, 2.52}
self.sub2000.AMMO_PICKUP = {0.66, 2.31}

	end
	